HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostAccountsAccountExternalAccountsId

Contains the different functions to run the operation postAccountsAccountExternalAccountsId

  • 6 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports9
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostAccountsAccountExternalAccountsId.hs
valuepostAccountsAccountExternalAccountsId
  1. :: MonadHTTP m
  2. => PostAccountsAccountExternalAccountsIdParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> Maybe PostAccountsAccountExternalAccountsIdRequestBody

    The request body to send

  4. -> ClientT m (Response PostAccountsAccountExternalAccountsIdResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/accounts/{account}/external_accounts/{id}

<p>Updates the metadata, account holder name, account holder type of a bank account belonging to a <a href="/docs/connect/custom-accounts">Custom account</a>, and optionally sets it as the default for its currency. Other bank account details are not editable by design.</p>

<p>You can re-enable a disabled bank account by performing an update call without providing any arguments or changes.</p>

Defines the object schema located at paths./v1/accounts/{account}/external_accounts/{id}.POST.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/accounts/{account}/external_accounts/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/accounts/{account}/external_accounts/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.account_holder_type in the specification.

The type of entity that holds the account. This can be either `individual` or `company`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/accounts/{account}/external_accounts/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.account_type in the specification.

The bank account type. This can only be `checking` or `savings` in most countries. In Japan, this can only be `futsu` or `toza`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/accounts/{account}/external_accounts/{id}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postAccountsAccountExternalAccountsId.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostAccountsAccountExternalAccountsIdResponseError is used.

Instances2Eq, Show